# vim:et:ts=3:sw=3

from random import Random
from Globals import DTMLFile, InitializeClass
from Globals import Persistent
from OFS.Folder import Folder


manage_addRandomFolderForm = DTMLFile('addRandomFolder', globals())


class RandomFolder(Persistent, Folder):
   """ RandomFolder based on OFS.Folder.
   """
   meta_type = 'Random Folder'

   def __init__(self, id, title=''):
      self.rand  = Random()
      self.title = title
      Folder.__init__(self, id)
      
   def index_html(self, REQUEST, RESPONSE):
      """ Selects a random item from the folder and returns it.
      """
      if len(self) == 0:
         return 'no items'
      return self.rand.choice(self.objectValues()).index_html(REQUEST, RESPONSE)


def manage_addRandomFolder(ctx, id, title='', REQUEST=None):
   """ Adds a new RandomFolder object with id *id*.
   """
   id = str(id)
   ctx._setObject(id, RandomFolder(id, str(title)))
   # ob = ctx._getOb(id)
   if REQUEST is not None:
      return ctx.manage_main(ctx, REQUEST, update_menu=1)


InitializeClass(RandomFolder)

